ranges::views::for_each_base_fn Struct Reference

## Description

Lazily applies an unary function to each element in the source range that returns another range (possibly empty), flattening the result.

Inheritance diagram for ranges::views::for_each_base_fn:

## Public Member Functions

template<typename Rng , typename Fun >
constexpr auto | operator() (Rng &&rng, Fun fun) const requires viewable_range< Rng > &&transformable_range< Rng

## Public Attributes

constexpr auto Fun && | joinable_range< transform_view< all_t< Rng >, Fun > >

## Member Data Documentation

## joinable_range< transform_view< all_t< Rng >, Fun > >

constexpr auto Fun&& ranges::views::for_each_base_fn::joinable_range< transform_view< all_t< Rng >, Fun > >

Initial value:
{
return join(transform(static_cast<Rng &&>(rng), std::move(fun)))